Skip to content
Last updated

Lean - getErrors

Use this method to get info about an error code.

For the full technical reference, see the OpenAPI specification.

Endpoint

GET /api/utility/errors

Headers

NameRequiredDescription
Content-TypeYesMust be application/json.

Query parameters

ParameterTypeRequiredDescription
codeintegerYesThe error code to look up.
languagestringYesLanguage for the error text. ISO 639-1 alpha-2: EN, IT, DE, ES, RO. ISO 639-2 alpha-3 codes (ENG, ITA, DEU, SPA, RON) are accepted for legacy compatibility but will not be extended to new languages.

Request example

GET /api/utility/errors?code=1027&language=EN

Response examples

200 — Error found

{
  "errorCode": 1027,
  "errorLanguage": "ENG",
  "errorLanguage2": "EN",
  "errorText": "The file is duplicated"
}

If the error code does not exist, the response is HTTP 200 with errorText: "Unspecified error".

Error codes

For authentication errors, see Authentication.

For the full list of errors, see Methods to manage errors.